uniform vec2 blurCenter;
uniform float blendRate;
uniform float minDistSqr;
uniform float maxDistSqr;

varying vec2 v_texCoord;
uniform sampler2D LastFrame;
uniform sampler2D CurFrame;

void main()
{
	vec2 dir = blurCenter - v_texCoord;
	float len = clamp((dot(dir,dir)-minDistSqr)/(maxDistSqr-minDistSqr), 0.0, 1.0);
	float dirfactor = len;//pow(len, 0.5);
	float blurRate = (1.0-blendRate)*dirfactor;
	
	//vec2 dir = vec2(0.5, 0.2) - v_texCoord;
	//float len = clamp((length(dir)-0.1)*3.0, 0.0, 1.0);
	//float dirfactor = pow(len, 0.5);
	//float blurRate = (1.0-blendRate)*dirfactor;
	gl_FragColor = mix(texture2D( CurFrame, v_texCoord ), texture2D( LastFrame, v_texCoord ), blurRate);
	gl_FragColor.a = 1.0;
	
	//vec2 dir = 0.5 - v_texCoord;
	//float len = clamp(length(dir)*3, 0, 1);
	//float dirfactor = pow(len, 3);
	//float blurRate = 1-(1-blendRate)*dirfactor;//clamp((max(length(dir), 0.1)-0.1)*2*blendRate, 0.0, 1.0);
	
	//gl_FragColor = texture2D( CurFrame, v_texCoord )*blurRate + texture2D( LastFrame, v_texCoord )*(1-blurRate);
	//gl_FragColor = texture2D( CurFrame, v_texCoord ) + texture2D( LastFrame, v_texCoord )*vec4(1.0-blendRate, 0,0,1);
}